Package org.apache.sysds.runtime.io

## Class WriterBinaryBlockParallel

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixWriter
  - - org.apache.sysds.runtime.io.WriterBinaryBlock
    - - org.apache.sysds.runtime.io.WriterBinaryBlockParallel

    public class WriterBinaryBlockParallel
    extends WriterBinaryBlock

### Constructor Summary

Constructors
`WriterBinaryBlockParallel​(int replication)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.io.WriterBinaryBlock

`writeEmptyMatrixToHDFS, writeMatrixToHDFS`

### Methods inherited from class org.apache.sysds.runtime.io.MatrixWriter

`createMatrixBlocksForReuse, getMatrixBlockForReuse, writeMatrixToHDFS`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WriterBinaryBlockParallel

    public WriterBinaryBlockParallel​(int replication)